OrcList (ORC MapReduce 1.2.1 API)
Date: 2016-10-19

org.apache.orc.mapred

## Class OrcList<E extends WritableComparable>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<E>
      - - org.apache.orc.mapred.OrcList<E>

- Type Parameters:
    `E` - the element type, which must be Writable
  All Implemented Interfaces:
    Serializable, Cloneable, Comparable<OrcList<E>>, Iterable<E>, Collection<E>, List<E>, RandomAccess, Writable, WritableComparable<OrcList<E>>

      public class OrcList<E extends WritableComparable>
      extends ArrayList<E>
      implements WritableComparable<OrcList<E>>

  An ArrayList implementation that implements Writable.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrcList(TypeDescription schema)`
    `OrcList(TypeDescription schema, int initialCapacity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(OrcList<E> other)`
    `void` | `readFields(DataInput input)`
    `void` | `write(DataOutput output)`

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### OrcList

          public OrcList(TypeDescription schema)

    - #### OrcList

          public OrcList(TypeDescription schema,
                         int initialCapacity)

  - ### Method Detail

    - #### write

          public void write(DataOutput output)
                     throws IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `IOException`

    - #### readFields

          public void readFields(DataInput input)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `IOException`

    - #### compareTo

          public int compareTo(OrcList<E> other)

      Specified by:
        `compareTo` in interface `Comparable<OrcList<E extends WritableComparable>>`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.